#include "esh_types.h"

#ifndef ESH_MISC_H
#define ESH_MISC_H

#define ANSI_COLOR_RED     "\x1b[31m"
#define ANSI_COLOR_GREEN   "\x1b[32m"
#define ANSI_COLOR_YELLOW  "\x1b[33m"
#define ANSI_COLOR_BLUE    "\x1b[34m"
#define ANSI_COLOR_MAGENTA "\x1b[35m"
#define ANSI_COLOR_CYAN    "\x1b[36m"
#define ANSI_COLOR_RESET   "\x1b[0m"

void EShOptimiseCurrentWorkingDirectory(); // Replaces user home folder path in esh_info_global->current_working_dir with ~

void EShUpdateInviteMessage(); // Update input invite message (ex. should be called on username/cwd change)

void EShShowHelpAndExit(); // Prints help to stdout and exits

int EShIsShellLetter(char c); // Returns 1 if c is 'good' char (not a command char, but a written letter) 

ESH_JOB_DELIMITER EshIsJobDelimiter(char* c);

int EShGetJobDelimiterSize(ESH_JOB_DELIMITER delim);

#endif // ESH_MISC_H